<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid mf_container-fluid">
			<ul class="breadcrumb">
				<?php foreach ( $breadcrumbs as $breadcrumb ) { ?>
				<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid mf_container-fluid">
		<?php if ( isset($warning) && $warning ) { ?>
		<div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i> <?php echo $warning; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<?php if ( isset($success) && $success ) { ?>
		<div class="alert alert-success alert-dismissible"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<h4><?php echo $mf_heading_title; ?></h4>
		<div class="pull-right">
			<button type="button" onclick="$(location).attr('href', '<?php echo $refresh; ?>');" data-toggle="tooltip" title="<?php echo $button_clear_cache; ?>" class="btn btn-warning"><i class="fa fa-eraser"></i></button>
		</div>
		<p class="mf-main_menu">
			<?php foreach ( $top_menu as $menu_item ) { ?>
			<?php if (isset($menu_item['active']) && $menu_item['active'] == 1) { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info active"><?php echo $menu_item['text']; ?></a>
			<?php } else { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info"><?php echo $menu_item['text']; ?></a>
			<?php } ?>
			<?php } ?>
		</p>	
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="table-responsive">
					<table class="table table-bordered table-hover">
						<thead>
							<tr>
								<td class="text-left"><?php echo $column_name; ?></td>
								<td class="text-left"><?php echo $column_widget_type; ?></td>
								<td class="text-center"><?php echo $column_action; ?></td>
							</tr>
						</thead>
						<tbody>
							<?php if ( isset($widgets) && !empty($widgets)) { ?>
							<?php foreach ( $widgets as $widget ) { ?>
							<tr>
								<td class="text-left"><?php echo $widget['name']; ?></td>
								<td class="text-left"><?php echo $widget['type']; ?></td>
								<td class="text-center">
									<a href="<?php echo $widget['edit']; ?>" data-toggle="tooltip" title="<?php echo $button_edit; ?>" class="btn btn-primary"><i class="fa fa-pencil"></i></a>
									<a href="<?php echo $widget['delete']; ?>" data-toggle="tooltip" title="<?php echo $button_delete; ?>" onclick="return confirm('<?php echo $text_confirm; ?>');" class="btn btn-danger"><i class="fa fa-trash-o"></i></a>
								</td>
							</tr>
							<?php } ?>
							<?php } else { ?>
							<tr>
								<td class="text-center" colspan="3"><?php echo $text_no_results; ?></td>
							</tr>
							<?php } ?>
						</tbody>
					</table>
				</div>
				<form action="<?php echo $action; ?>" class="form-inline" method="post" enctype="multipart/form-data" id="form-add-widget">
					<div class="input-group pull-right">
						<div class="input-group-btn">
							<select class="form-control dropdown-toggle" name="widget[type]">
								<option value="1"><?php echo $text_widget_contact; ?></option>
								<option value="2"><?php echo $text_widget_information; ?></option>
								<option value="3"><?php echo $text_widget_links; ?></option>
								<option value="4"><?php echo $text_widget_category; ?></option>
								<option value="5"><?php echo $text_widget_manufacturer; ?></option>
								<option value="6"><?php echo $text_widget_social; ?></option>
								<option value="7"><?php echo $text_widget_payment; ?></option>
								<option value="8"><?php echo $text_widget_text; ?></option>
							</select>
						</div>
						<div class="input-group-btn"><button type="submit" class="btn btn-primary"><?php echo $button_add; ?></button></div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
<?php echo $footer; ?>

