<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid mf_container-fluid">
			<ul class="breadcrumb">
				<?php foreach ( $breadcrumbs as $breadcrumb ) { ?>
				<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid mf_container-fluid">
		<?php if ( isset($warning) && $warning ) { ?>
		<div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i> <?php echo $warning; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<?php if ( isset($success) && $success ) { ?>
		<div class="alert alert-success alert-dismissible"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<h4><?php echo $mf_heading_title; ?></h4>
		<div class="pull-right">
			<button type="button" onclick="$(location).attr('href', '<?php echo $refresh; ?>');" data-toggle="tooltip" title="<?php echo $button_clear_cache; ?>" class="btn btn-warning"><i class="fa fa-eraser"></i></button>
		</div>
		<p class="mf-main_menu">
			<?php foreach ( $top_menu as $menu_item ) { ?>
			<?php if (isset($menu_item['active']) && $menu_item['active'] == 1) { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info active"><?php echo $menu_item['text']; ?></a>
			<?php } else { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info"><?php echo $menu_item['text']; ?></a>
			<?php } ?>
			<?php } ?>
		</p>
		<?php if ( $section == 'tool' ) { ?>
		<div class="panel panel-default">
			<div class="panel-body">
				<form method="post" enctype="multipart/form-data" id="form-tools" class="form-horizontal">
					<div class="form-group">
						<label class="col-sm-3 control-label"><?php echo $entry_text_cache; ?></label>
						<div class="col-sm-9">
							<button style="width: 120px;" type="button" onclick="$(location).attr('href', '<?php echo $refresh; ?>');" data-toggle="tooltip" title="" class="btn btn-info" data-original-title="<?php echo $button_refresh; ?>"><i class="fa fa-refresh"></i> &nbsp;&nbsp;&nbsp;<?php echo $button_refresh; ?></button>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label"><?php echo $entry_text_backup_data; ?></label>
						<div class="col-sm-9">
							<button style="width: 120px;" type="button" onclick="$(location).attr('href', '<?php echo $action_backup_data; ?>');" data-toggle="tooltip" title="" class="btn btn-default" data-original-title="<?php echo $button_download; ?>"><i class="fa fa-download"></i> &nbsp;&nbsp;&nbsp;<?php echo $button_download; ?></button>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label"><?php echo $entry_text_backup_theme; ?></label>
						<div class="col-sm-9">
							<button style="width: 120px;" type="button" onclick="$(location).attr('href', '<?php echo $action_backup_theme; ?>');" data-toggle="tooltip" title="" class="btn btn-default" data-original-title="<?php echo $button_download; ?>"><i class="fa fa-download"></i> &nbsp;&nbsp;&nbsp;<?php echo $button_download; ?></button>
						</div>
					</div>
				</form>
			</div>
		</div>
		<?php  } elseif ($section == 'about') { ?>
		<div class="panel panel-default">
			<div class="panel-body">
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-about" class="form-horizontal">
					<?php if ( empty($license_key) ) { ?>
					<div class="form-group">
						<label class="col-sm-3 control-label" for="input-license-key"><?php echo $entry_input_key; ?></label>
						<div class="col-sm-9">
							<div class="input-group">
								<input type="text" name="license_key" value="" id="input-license-key" class="form-control" />
								<span class="input-group-btn">
								<button type="button" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary" onclick="$('#form-about').submit();"><i class="fa fa-save"></i></button>
								</span>
							</div>
							<!-- /input-group -->
						</div>
					</div>
					<?php } ?>
					<div class="form-group">
						<label class="col-sm-3 control-label"><?php echo $entry_key; ?></label>
						<div class="col-sm-9">
							<?php if ( empty($license_key) ) { ?>
							<p class="form-control-static text-warning"><strong><?php echo $text_empty_key; ?></strong></p>
							<?php } else { ?>
							<p class="form-control-static"><a onclick="prompt('<?php echo $entry_key; ?>','<?php echo $license_key; ?>'); return false;"><?php echo $text_show; ?></a></p>
							<?php } ?>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label"><?php echo $entry_module; ?></label>
						<div class="col-sm-9">
							<p class="form-control-static"><?php echo $text_module_name; ?></p>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label"><?php echo $entry_version; ?></label>
						<div class="col-sm-9">
							<p class="form-control-static"><?php echo $text_module_version; ?></p>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label"><?php echo $entry_home_page; ?></label>
						<div class="col-sm-9">
							<p class="form-control-static"><a target="blank" href="http://<?php echo $text_module_home_page; ?>"><?php echo $text_module_home_page; ?></a></p>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label"><?php echo $entry_support; ?></label>
						<div class="col-sm-9">
							<p class="form-control-static"><?php echo $text_support; ?></p>
						</div>
					</div>
				</form>
			</div>
		</div>
		<?php } ?>
	</div>
</div>
<?php echo $footer; ?>

