<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid mf_container-fluid">
			<ul class="breadcrumb">
				<?php foreach ( $breadcrumbs as $breadcrumb ) { ?>
				<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid mf_container-fluid">
		<?php if ( isset($warning) && $warning ) { ?>
		<div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i> <?php echo $warning; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<?php if ( isset($success) && $success ) { ?>
		<div class="alert alert-success alert-dismissible"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<h4><?php echo $mf_heading_title; ?></h4>
		<div class="pull-right">
			<button type="button" onclick="$(location).attr('href', '<?php echo $refresh; ?>');" data-toggle="tooltip" title="<?php echo $button_clear_cache; ?>" class="btn btn-warning"><i class="fa fa-eraser"></i></button>
		</div>
		<p class="mf-main_menu">
			<?php foreach ( $top_menu as $menu_item ) { ?>
			<?php if (isset($menu_item['active']) && $menu_item['active'] == 1) { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info active"><?php echo $menu_item['text']; ?></a>
			<?php } else { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info"><?php echo $menu_item['text']; ?></a>
			<?php } ?>
			<?php } ?>
		</p>
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><i class="fa fa-puzzle-piece"></i><?php echo $text_panel_title; ?></h3>
			</div>
			<div class="panel-body">
				<?php if ($widget_type == '1') { ?>
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-widget-contacts">
					<input type="hidden" name="widget[type]" value="1" />
					<div class="form-horizontal">
						<div class="form-group required">
							<label class="col-sm-2 control-label" for="input-widget-name"><?php echo $entry_widget_name; ?></label>
							<div class="col-sm-10">
								<input type="text" name="widget[name]" value="<?php if(isset($widget['name'])) echo $widget['name'];?>" placeholder="<?php echo $entry_widget_name; ?>" id="input-widget-name" class="form-control" />
								<?php if (isset($error_form_name)) { ?>
								<div class="text-danger"><?php echo $error_form_name; ?></div>
								<?php } ?>
							</div>
						</div>
					</div>
					<ul class="nav nav-tabs" id="language">
						<?php foreach ( $languages as $language ) { ?>
						<li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
						<?php } ?>
					</ul>
					<div class="tab-content">
						<?php foreach ( $languages as $language ) { ?>
						<div class="tab-pane" id="language<?php echo $language['language_id']; ?>">
							<div class="form-horizontal">
								<div class="form-group">
									<label class="col-sm-2 control-label" for="input-widget-title<?php echo $language['language_id']; ?>"><?php echo $entry_widget_title; ?></label>
									<div class="col-sm-8">
										<input type="text" name="widget[title][<?php echo $language['language_id']; ?>][text]" value="<?php if (isset($widget['title'][$language['language_id']]['text'])) echo $widget['title'][$language['language_id']]['text'];?>" id="input-widget-title<?php echo $language['language_id']; ?>" class="form-control" />
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[title][<?php echo $language['language_id']; ?>][title_status]" <?php if (isset($widget['title'][$language['language_id']]['title_status']) && $widget['title'][$language['language_id']]['title_status'] == 1) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<div class="form-group">
									<label class="col-sm-2 control-label" for="input-widget-address<?php echo $language['language_id']; ?>"><?php echo $entry_widget_address; ?></label>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][address1]" value="<?php if (isset($widget['data'][$language['language_id']]['address1'])) echo $widget['data'][$language['language_id']]['address1'];?>" id="input-widget-address<?php echo $language['language_id']; ?>" class="form-control" />
									</div>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][address2]" value="<?php if(isset($widget['data'][$language['language_id']]['address2'])) echo $widget['data'][$language['language_id']]['address2'];?>" class="form-control" />
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[data][<?php echo $language['language_id']; ?>][address_status]" <?php if (isset($widget['data'][$language['language_id']]['address_status']) && $widget['data'][$language['language_id']]['address_status'] == 1 ) { ?>  checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<div class="form-group">
									<label class="col-sm-2 control-label" for="input-widget-phone<?php echo $language['language_id']; ?>"><?php echo $entry_widget_phone; ?></label>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][phone1]" value="<?php if(isset($widget['data'][$language['language_id']]['phone1'])) echo $widget['data'][$language['language_id']]['phone1'];?>" id="input-widget-phone<?php echo $language['language_id']; ?>" class="form-control" />
									</div>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][phone2]" value="<?php if (isset($widget['data'][$language['language_id']]['phone2'])) echo $widget['data'][$language['language_id']]['phone2'];?>" class="form-control" />
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[data][<?php echo $language['language_id']; ?>][phone_status]" <?php if (isset($widget['data'][$language['language_id']]['phone_status']) && $widget['data'][$language['language_id']]['phone_status'] == 1 ) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<!-- FAX -->
								<div class="form-group">
									<label class="col-sm-2 control-label" for="input-widget-fax<?php echo $language['language_id']; ?>"><?php echo $entry_widget_fax; ?></label>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][fax1]" value="<?php if (isset($widget['data'][$language['language_id']]['fax1'])) echo $widget['data'][$language['language_id']]['fax1'];?>" id="input-widget-fax<?php echo $language['language_id']; ?>" class="form-control" />
									</div>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][fax2]" value="<?php if (isset($widget['data'][$language['language_id']]['fax2'])) echo $widget['data'][$language['language_id']]['fax2'];?>" class="form-control" />
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[data][<?php echo $language['language_id']; ?>][fax_status]" <?php if (isset($widget['data'][$language['language_id']]['fax_status']) && $widget['data'][$language['language_id']]['fax_status'] == 1) {?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<!-- Mobile -->
								<div class="form-group">
									<label class="col-sm-2 control-label" for="input-widget-mobile<?php echo $language['language_id']; ?>"><?php echo $entry_widget_mobile; ?></label>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][mobile1]" value="<?php if(isset($widget['data'][$language['language_id']]['mobile1'])) echo $widget['data'][$language['language_id']]['mobile1'];?>" id="input-widget-mobile<?php echo $language['language_id']; ?>" class="form-control" />
									</div>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][mobile2]" value="<?php if(isset($widget['data'][$language['language_id']]['mobile2'])) echo $widget['data'][$language['language_id']]['mobile2'];?>" class="form-control" />
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[data][<?php echo $language['language_id']; ?>][mobile_status]" <?php if (isset($widget['data'][$language['language_id']]['mobile_status']) && $widget['data'][$language['language_id']]['mobile_status'] == 1) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<!-- Email -->
								<div class="form-group">
									<label class="col-sm-2 control-label" for="input-widget-email<?php echo $language['language_id']; ?>"><?php echo $entry_widget_email; ?></label>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][email1]" value="<?php if (isset($widget['data'][$language['language_id']]['email1'])) echo $widget['data'][$language['language_id']]['email1'];?>" id="input-widget-email<?php echo $language['language_id']; ?>" class="form-control" />
									</div>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][email2]" value="<?php if(isset($widget['data'][$language['language_id']]['email2'])) echo $widget['data'][$language['language_id']]['email2'];?>" class="form-control" />
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[data][<?php echo $language['language_id']; ?>][email_status]" <?php if (isset($widget['data'][$language['language_id']]['email_status']) && $widget['data'][$language['language_id']]['email_status'] == 1) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<!-- skype -->
								<div class="form-group">
									<label class="col-sm-2 control-label" for="input-widget-skype<?php echo $language['language_id']; ?>"><?php echo $entry_widget_skype; ?></label>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][skype1]" value="<?php if(isset($widget['data'][$language['language_id']]['skype1'])) echo $widget['data'][$language['language_id']]['skype1'];?>" id="input-widget-skype<?php echo $language['language_id']; ?>" class="form-control" />
									</div>
									<div class="col-sm-4">
										<input type="text" name="widget[data][<?php echo $language['language_id']; ?>][skype2]" value="<?php if(isset($widget['data'][$language['language_id']]['skype2'])) echo $widget['data'][$language['language_id']]['skype2'];?>" class="form-control" />
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[data][<?php echo $language['language_id']; ?>][skype_status]" <?php if (isset($widget['data'][$language['language_id']]['skype_status']) && $widget['data'][$language['language_id']]['skype_status'] == 1) {?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<div class="form-group">
									<div class="col-sm-12">
										<div class="pull-right">
											<button type="submit" style="width: 120px;" form="form-widget-contacts" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i>    <?php echo $button_save; ?></button>
											<button type="button" style="width: 120px;" onclick="$(location).attr('href', '<?php echo $cancel; ?>');" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i>    <?php echo $button_cancel; ?></button>
										</div>
									</div>
								</div>
							</div>
						</div>
						<?php } ?>
					</div>
				</form>
				<script>
					$('#language a:first').tab('show');
				</script>
				<?php } elseif ($widget_type == '2') { ?>
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-widget-contacts">
					<input type="hidden" name="widget[type]" value="2" />
					<div class="form-horizontal">
						<div class="form-group required">
							<label class="col-sm-2 control-label" for="input-widget-name"><?php echo $entry_widget_name; ?></label>
							<div class="col-sm-10">
								<input type="text" name="widget[name]" value="<?php if(isset($widget['name'])) echo $widget['name'];?>" placeholder="<?php echo $entry_widget_name; ?>" id="input-widget-name" class="form-control" />
								<?php if (isset($error_form_name)) { ?>
								<div class="text-danger"><?php echo $error_form_name; ?></div>
								<?php } ?>
							</div>
						</div>
					</div>
					<ul class="nav nav-tabs" id="language">
						<?php foreach ( $languages as $language ) { ?>
						<li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
						<?php } ?>
					</ul>
					<div class="tab-content">
						<?php foreach ( $languages as $language ) { ?>
						<div class="tab-pane" id="language<?php echo $language['language_id']; ?>">
							<div class="form-horizontal">
								<div class="form-group">
									<label class="col-sm-2 control-label" for="input-widget-title<?php echo $language['language_id']; ?>"><?php echo $entry_widget_title; ?></label>
									<div class="col-sm-8">
										<input type="text" name="widget[title][<?php echo $language['language_id']; ?>][text]" value="<?php if (isset($widget['title'][$language['language_id']]['text'])) echo $widget['title'][$language['language_id']]['text'];?>" id="input-widget-title<?php echo $language['language_id']; ?>" class="form-control" />
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[title][<?php echo $language['language_id']; ?>][title_status]" <?php if (isset($widget['title'][$language['language_id']]['title_status']) && $widget['title'][$language['language_id']]['title_status'] == 1) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<?php if(isset($informations) && !empty($informations)) { ?>
								<table class="table table-bordered table-hover">
									<tbody>
										<?php foreach ( $informations as $information ) { ?>
										<tr>
											<td><?php echo $information['title']; ?></td>
											<td>
												<div class="checkbox">
													<label><input type="checkbox" name="widget[data][<?php echo $language['language_id']; ?>][]" value="<?php echo $information['information_id']; ?>" <?php if (isset($widget['data'][$language['language_id']]) && in_array($information['information_id'], $widget['data'][$language['language_id']])) { ?> checked="checked" <?php } ?> /> <?php echo $text_show; ?></label>
												</div>
											</td>
										</tr>
										<?php } ?>
									</tbody>
								</table>
								<?php } ?>
							</div>
						</div>
						<?php } ?>
					</div>
					<div class="form-horizontal">
						<div class="form-group">
							<div class="col-sm-12">
								<div class="pull-right">
									<button type="submit" style="width: 120px;" form="form-widget-contacts" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i>    <?php echo $button_save; ?></button>
									<button type="button" style="width: 120px;" onclick="$(location).attr('href', '<?php echo $cancel; ?>');" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i>    <?php echo $button_cancel; ?></button>
								</div>
							</div>
						</div>
					</div>
				</form>
				<script>
					$('#language a:first').tab('show');
				</script>
				<?php } elseif ($widget_type == '3') { ?>
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-widget-contacts">
					<input type="hidden" name="widget[type]" value="3" />
					<div class="form-horizontal">
						<div class="form-group required">
							<label class="col-sm-2 control-label" for="input-widget-name"><?php echo $entry_widget_name; ?></label>
							<div class="col-sm-10">
								<input type="text" name="widget[name]" value="<?php if(isset($widget['name'])) echo $widget['name'];?>" placeholder="<?php echo $entry_widget_name; ?>" id="input-widget-name" class="form-control" />
								<?php if (isset($error_form_name)) { ?>
								<div class="text-danger"><?php echo $error_form_name; ?></div>
								<?php } ?>
							</div>
						</div>
					</div>
					<ul class="nav nav-tabs" id="language">
						<?php foreach ( $languages as $language ) { ?>
						<li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
						<?php } ?>
					</ul>
					<div class="tab-content">
						<?php foreach ( $languages as $language ) { ?>
						<div class="tab-pane" id="language<?php echo $language['language_id']; ?>">
							<div class="form-horizontal">
								<div class="form-group">
									<label class="col-sm-2 control-label" for="input-widget-title<?php echo $language['language_id']; ?>"><?php echo $entry_widget_title; ?></label>
									<div class="col-sm-8">
										<input type="text" name="widget[title][<?php echo $language['language_id']; ?>][text]" value="<?php if (isset($widget['title'][$language['language_id']]['text'])) echo $widget['title'][$language['language_id']]['text'];?>" id="input-widget-title<?php echo $language['language_id']; ?>" class="form-control" />
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[title][<?php echo $language['language_id']; ?>][title_status]" <?php if (isset($widget['title'][$language['language_id']]['title_status']) && $widget['title'][$language['language_id']]['title_status'] == 1) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<?php if (isset($links) && !empty($links)) {?>
								<table class="table table-bordered table-hover">
									<tbody>
										<?php foreach ( $links as $link ) { ?>
										<tr>
											<td><?php echo $link['title']; ?></td>
											<td>
												<div class="checkbox">
													<label><input type="checkbox" name="widget[data][<?php echo $language['language_id']; ?>][]" value="<?php echo $link['link_id']; ?>" <?php if (isset($widget['data'][$language['language_id']]) && in_array($link['link_id'], $widget['data'][$language['language_id']])) { ?> checked="checked" <?php } ?> /> <?php echo $text_show; ?></label>
												</div>
											</td>
										</tr>
										<?php } ?>
									</tbody>
								</table>
								<?php } ?>
							</div>
						</div>
						<?php } ?>
					</div>
					<div class="form-horizontal">
						<div class="form-group">
							<div class="col-sm-12">
								<div class="pull-right">
									<button type="submit" style="width: 120px;" form="form-widget-contacts" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i>    <?php echo $button_save; ?></button>
									<button type="button" style="width: 120px;" onclick="$(location).attr('href', '<?php echo $cancel; ?>');" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i>    <?php echo $button_cancel; ?></button>
								</div>
							</div>
						</div>
					</div>
				</form>
				<script>
					$('#language a:first').tab('show');
				</script>
				<!-- //////////////////////////////////// CATEGORY //////////////////////////////////// -->
				<?php } elseif ($widget_type == '4') { ?>
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-widget-category">
					<input type="hidden" name="widget[type]" value="4" />
					<div class="form-horizontal">
						<div class="form-group required">
							<label class="col-sm-2 control-label" for="input-widget-name"><?php echo $entry_widget_name; ?></label>
							<div class="col-sm-10">
								<input type="text" name="widget[name]" value="<?php if(isset($widget['name'])) echo $widget['name'];?>" placeholder="<?php echo $entry_widget_name; ?>" id="input-widget-name" class="form-control" />
								<?php if (isset($error_form_name)) { ?>
								<div class="text-danger"><?php echo $error_form_name; ?></div>
								<?php } ?>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label" for="input-widget-title"><?php echo $entry_widget_title; ?></label>
							<div class="col-sm-10">
								<?php foreach ( $languages as $language ) { ?>
								<div class="row">
									<div class="col-sm-10">
										<div class="input-group">
											<span class="input-group-addon"><img src="<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /></span><input type="text" name="widget[title][<?php echo $language['language_id']; ?>][text]" value="<?php if (isset($widget['title'][$language['language_id']]['text'])) echo $widget['title'][$language['language_id']]['text'];?>" id="input-widget-title<?php echo $language['language_id']; ?>" class="form-control" />
										</div>
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[title][<?php echo $language['language_id']; ?>][title_status]" <?php if (isset($widget['title'][$language['language_id']]['title_status']) && $widget['title'][$language['language_id']]['title_status'] == 1) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<?php } ?>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label"><?php echo $entry_cloud_style; ?></label>
							<div class="col-sm-10">
								<select name="widget[cloud_style]" class="form-control">
									<?php if (isset($widget['cloud_style']) && $widget['cloud_style'] == 1 ) {?>
									<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
									<option value="0"><?php echo $text_disabled; ?></option>
									<?php } else { ?>
									<option value="1"><?php echo $text_enabled; ?></option>
									<option value="0"  selected="selected"><?php echo $text_disabled; ?></option>
									<?php } ?> 
								</select>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label" for="input-product-category"><span data-toggle="tooltip" title="<?php echo $help_autocomplete; ?>"><?php echo $entry_product_category; ?></span></label>
							<div class="col-sm-10">
								<input style="margin-top:8px;" type="text" name="product_category" id="input-product-category" class="form-control" />
								<div id="category_data" class="well well-sm" style="margin-top:8px;height: 150px; overflow: auto;">
									<?php if(isset($widget['categories']) && !empty($widget['categories'])) { ?>
									<?php foreach ($widget['categories'] as $category) { ?>
									<div class="r000" id="category<?php echo $category['category_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $category['name']; ?>
										<input type="hidden" name="widget[categories][]" value="<?php echo $category['category_id']; ?>" />
									</div>
									<?php } ?>
									<?php } ?>
								</div>
							</div>
						</div>
						<div class="form-group">
							<div class="col-sm-12">
								<div class="pull-right">
									<button type="submit" style="width: 120px;" form="form-widget-category" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i>    <?php echo $button_save; ?></button>
									<button type="button" style="width: 120px;" onclick="$(location).attr('href', '<?php echo $cancel; ?>');" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i>    <?php echo $button_cancel; ?></button>
								</div>
							</div>
						</div>
					</div>
				</form>
				<script>
					// Layout
					$('input[name=\'product_category\']').autocomplete({
					'source': function(request, response) {
					$.ajax({
					url: 'index.php?route=extension/module/magic_footer/category_autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
					dataType: 'json',
					success: function(json) {
					json.unshift({
					category_id: 0,
					name: '<?php echo $text_none; ?>'
					});
					
					response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['category_id']
					}
					}));
					}
					});
					},
					'select': function(item) {
					if(item['value'] != 0 ) {
					$('#input-product-category').val('');
					$('#category_data' + item['value']).remove();
					$('#category_data').append('<div class="r000" id="category_data' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="widget[categories][]" value="' + item['value'] + '" /></div>');
					}
					}
					});
					$('#category_data').delegate('.fa-minus-circle', 'click', function() {
					$(this).parent().remove();
					});
				</script>
				<!-- //////////////////////////////////// MANUFACTURER //////////////////////////////////// -->
				<?php } elseif ($widget_type == '5') { ?>
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-widget-manufacturer">
					<input type="hidden" name="widget[type]" value="5" />
					<div class="form-horizontal">
						<div class="form-group required">
							<label class="col-sm-2 control-label" for="input-widget-name"><?php echo $entry_widget_name; ?></label>
							<div class="col-sm-10">
								<input type="text" name="widget[name]" value="<?php if(isset($widget['name'])) echo $widget['name'];?>" placeholder="<?php echo $entry_widget_name; ?>" id="input-widget-name" class="form-control" />
								<?php if (isset($error_form_name)) { ?>
								<div class="text-danger"><?php echo $error_form_name; ?></div>
								<?php } ?>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label" for="input-widget-title"><?php echo $entry_widget_title; ?></label>
							<div class="col-sm-10">
								<?php foreach ( $languages as $language ) { ?>
								<div class="row">
									<div class="col-sm-10">
										<div class="input-group">
											<span class="input-group-addon"><img src="<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /></span><input type="text" name="widget[title][<?php echo $language['language_id']; ?>][text]" value="<?php if(isset($widget['title'][$language['language_id']]['text'])) echo $widget['title'][$language['language_id']]['text'];?>" id="input-widget-title<?php echo $language['language_id']; ?>" class="form-control" />
										</div>
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[title][<?php echo $language['language_id']; ?>][title_status]" <?php if (isset($widget['title'][$language['language_id']]['title_status']) && $widget['title'][$language['language_id']]['title_status'] == 1) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<?php } ?>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label"><?php echo $entry_cloud_style; ?></label>
							<div class="col-sm-10">
								<select name="widget[cloud_style]" class="form-control">
									<?php if(isset($widget['cloud_style']) && $widget['cloud_style']== 1) { ?>
									<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
									<option value="0"><?php echo $text_disabled; ?></option>
									<?php } else { ?>
									<option value="1"><?php echo $text_enabled; ?></option>
									<option value="0"  selected="selected"><?php echo $text_disabled; ?></option>
									<?php } ?> 
								</select>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label" for="input-product-manufacturer"><span data-toggle="tooltip" title="<?php echo $help_autocomplete; ?>"><?php echo $entry_product_manufacturer; ?></span></label>
							<div class="col-sm-10">
								<input style="margin-top:8px;" type="text" name="product_manufacturer" id="input-product-manufacturer" class="form-control" />
								<div id="manufacturer_data" class="well well-sm" style="margin-top:8px;height: 150px; overflow: auto;">
									<?php if( isset($widget['manufacturers'])) { ?>
									<?php foreach ($widget['manufacturers'] as $manufacturer) {?>
									<div class="r000" id="manufacturer<?php echo $manufacturer['manufacturer_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $manufacturer['name']; ?>
										<input type="hidden" name="widget[manufacturers][]" value="<?php echo $manufacturer['manufacturer_id']; ?>" />
									</div>
									<?php } ?>
									<?php } ?>
								</div>
							</div>
						</div>
						<div class="form-group">
							<div class="col-sm-12">
								<div class="pull-right">
									<button type="submit" style="width: 120px;" form="form-widget-manufacturer" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i>    <?php echo $button_save; ?></button>
									<button type="button" style="width: 120px;" onclick="$(location).attr('href', '<?php echo $cancel; ?>');" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i>    <?php echo $button_cancel; ?></button>
								</div>
							</div>
						</div>
					</div>
				</form>
				<script>
				// Layout
				$('input[name=\'product_manufacturer\']').autocomplete({
					'source': function(request, response) {
						$.ajax({
							url: 'index.php?route=extension/module/magic_footer/manufacturer_autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
							dataType: 'json',
							success: function(json) {
								json.unshift({
									manufacturer_id: 0,
									name: '<?php echo $text_none; ?>'
								});
								response($.map(json, function(item) {
									return {
										label: item['name'],
										value: item['manufacturer_id']
									}
								}));
							}
						});
					},
					'select': function(item) {
						if(item['value'] != 0 ) {
							$('#input-product-manufacturer').val('');
							$('#manufacturer_data' + item['value']).remove();
							$('#manufacturer_data').append('<div class="r000" id="manufacturer_data' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="widget[manufacturers][]" value="' + item['value'] + '" /></div>');
						}
					}
				});
				$('#manufacturer_data').delegate('.fa-minus-circle', 'click', function() {
					$(this).parent().remove();
				});
				</script>
				<!-- //////////////////////////////////// SOCIAL //////////////////////////////////// -->
				<?php } elseif ($widget_type == '6') { ?>
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-widget-social">
					<input type="hidden" name="widget[type]" value="6" />
					<div class="form-horizontal">
						<div class="form-group required">
							<label class="col-sm-2 control-label" for="input-widget-name"><?php echo $entry_widget_name; ?></label>
							<div class="col-sm-10">
								<input type="text" name="widget[name]" value="<?php if(isset($widget['name'])) echo $widget['name'];?>" placeholder="<?php echo $entry_widget_name; ?>" id="input-widget-name" class="form-control" />
								<?php if (isset($error_form_name)) { ?>
								<div class="text-danger"><?php echo $error_form_name; ?></div>
								<?php } ?>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label" for="input-widget-title"><?php echo $entry_widget_title; ?></label>
							<div class="col-sm-10">
								<?php foreach ( $languages as $language ) { ?>
								<div class="row">
									<div class="col-sm-10">
										<div class="input-group">
											<span class="input-group-addon"><img src="<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /></span><input type="text" name="widget[title][<?php echo $language['language_id']; ?>][text]" value="<?php if(isset($widget['title'][$language['language_id']]['text'])) echo $widget['title'][$language['language_id']]['text'];?>" id="input-widget-title<?php echo $language['language_id']; ?>" class="form-control" />
										</div>
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[title][<?php echo $language['language_id']; ?>][title_status]" <?php if (isset($widget['title'][$language['language_id']]['title_status']) && $widget['title'][$language['language_id']]['title_status'] == 1 ) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<?php } ?>
							</div>
						</div>
						<?php $social_count = 0; ?>
						<?php if(isset($widget['social']) && count($widget['social'])> 0 ) {?>
						<?php foreach ($widget['social'] as $social) { ?>
						<div class="form-group">
							<div class="col-sm-2 text-right"><img src="<?php echo $image_path; ?><?php echo $social['img']; ?>" alt="<?php echo $social['img']; ?>" /></div>
							<input type="hidden" name="widget[social][<?php echo $social_count; ?>][img]" value="<?php echo $social['img']; ?>" />
							<div class="col-sm-4">
								<div class="input-group">
									<span class="input-group-addon">URL</span><input type="text" name="widget[social][<?php echo $social_count; ?>][url]" value="<?php echo $social['url']; ?>" class="form-control" />
								</div>
							</div>
							<div class="col-sm-4">
								<div class="input-group">
									<span class="input-group-addon">Title</span><input type="text" name="widget[social][<?php echo $social_count; ?>][alt]" value="<?php echo $social['alt']; ?>" class="form-control" />
								</div>
							</div>
							<div class="col-sm-2">
								<div class="input-group">
									<button onclick="$(this).parent().parent().parent().remove();" class="btn btn-danger" type="button"> <i class="fa fa-minus-circle"></i> </button>
								</div>
							</div>
						</div>
						<?php $social_count++ ;?>
						<?php } ?>
						<?php } ?>
						<input type="hidden" id="social_image_group" />
						<form id="thumb-input-form">
							<input type="hidden" name="input_image" value="" id="input-image" />													
						</form>
						<div class="form-group">
							<div class="col-sm-12">
								<div class="pull-right">
									<button id="btn_add_image" style="width: 120px;" class="btn btn-success" type="button" data-toggle="tooltip" data-original-title="<?php echo $button_add; ?>">  <i class="fa fa-pencil"></i> <?php echo $button_add; ?></button>
									<button type="submit" style="width: 120px;" form="form-widget-social" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i>    <?php echo $button_save; ?></button>
									<button type="button" style="width: 120px;" onclick="$(location).attr('href', '<?php echo $cancel; ?>');" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i>    <?php echo $button_cancel; ?></button>
								</div>
							</div>
						</div>
					</div>
				</form>
				<script>
					var social_count = <?php echo $social_count; ?>;
					function addSocial($image) {
						var html, img_path = '<?php echo $image_path; ?>';
						html = '<div class="form-group">';
						html += '<div class="col-sm-2 text-right"><img src="' + img_path + $image + '" alt="' + $image + '" title="' + $image + '" /></div>';
						html += '<input type="hidden" name="widget[social][' + social_count + '][img]" value="' + $image + '" />';
						html += '<div class="col-sm-4">';
						html += '	<div class="input-group">';
						html += '		<span class="input-group-addon">URL</span><input type="text" name="widget[social][' + social_count + '][url]" value="" class="form-control" />';
						html += '	</div>';
						html += '</div>';
						html += '<div class="col-sm-4">';
						html += '	<div class="input-group">';
						html += '		<span class="input-group-addon">Title</span><input type="text" name="widget[social][' + social_count + '][alt]" value="' + ($image.substr(0, $image.lastIndexOf('.')) || $image) + '" class="form-control" />';
						html += '	</div>';
						html += '</div>';
						html += '<div class="col-sm-2">';
						html += '	<div class="input-group">';
						html += '		<button onclick="$(this).parent().parent().parent().remove();" class="btn btn-danger" type="button"> <i class="fa fa-minus-circle"></i> </button>';
						html += '	</div>';
						html += '</div>';
						html += '</div>';
						social_count ++ ;
						$('#social_image_group').before(html);
					};
					var img_path = '<?php echo $image_path; ?>';
					var $img_dir = '<?php echo $image_dir; ?>';
					$('#btn_add_image').on('click', function() {
						var $element = $(this);
						var $popover = $element.data('bs.popover'); // element has bs popover?
						var $button = $(this);
						$('#modal-image').remove();
						$.ajax({
							url: 'index.php?route=extension/module/magic_footer/file_manager&token=' + getURLVar('token') + '&target=' + $element.parent().find('input').attr('id') + '&thumb=' + $element.attr('id') + '&directory=social',
							dataType: 'html',
							beforeSend: function() {
								$button.prop('disabled', true);
							},
							complete: function() {
								$button.prop('disabled', false);
							},
							success: function(html) {
								$('body').append('<div id="modal-image" class="modal">' + html + '</div>');
								$('#modal-image').modal('show').on("hidden.bs.modal", function(e) {
									if ($('#input-image').val().length) {
										var $img = $('#input-image').val();
										$img = $img.replace($img_dir, '');
										addSocial($img);
									}
									$('#input-image').val('');
								});
							}
						});
						$element.popover('destroy');
					});
				</script>
				<!-- //////////////////////////////////// PAYMENT //////////////////////////////////// -->
				<?php } elseif ($widget_type == '7') { ?>
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-widget-payment">
					<input type="hidden" name="widget[type]" value="7" />
					<div class="form-horizontal">
						<div class="form-group required">
							<label class="col-sm-2 control-label" for="input-widget-name"><?php echo $entry_widget_name; ?></label>
							<div class="col-sm-10">
								<input type="text" name="widget[name]" value="<?php if(isset($widget['name'])) echo $widget['name'];?>" placeholder="<?php echo $entry_widget_name; ?>" id="input-widget-name" class="form-control" />
								<?php if (isset($error_form_name)) { ?>
								<div class="text-danger"><?php echo $error_form_name; ?></div>
								<?php } ?>
							</div>
						</div>
					</div>
					<div class="form-horizontal">
						<div class="form-group">
							<label class="col-sm-3 control-label" for="input-widget-title"><?php echo $entry_widget_title; ?></label>
							<div class="col-sm-9">
								<?php foreach ( $languages as $language ) { ?>
								<div class="row">
									<div class="col-sm-10">
										<div class="input-group"><span class="input-group-addon"><img src="<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /></span><input type="text" name="widget[title][<?php echo $language['language_id']; ?>][text]" value="<?php if (isset($widget['title'][$language['language_id']]['text'])) echo $widget['title'][$language['language_id']]['text'];?>" id="input-widget-title<?php echo $language['language_id']; ?>" class="form-control" /></div>
									</div>
									<div class="col-sm-2">
										<div class="checkbox"><label><input type="checkbox" value="1" name="widget[title][<?php echo $language['language_id']; ?>][title_status]" <?php if (isset($widget['title'][$language['language_id']]['title_status']) && $widget['title'][$language['language_id']]['title_status'] == 1) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
									</div>
								</div>
								<?php } ?>
							</div>
						</div>
						<?php $payment_count = 0; ?>
						<?php if(isset($widget['payment']) && count($widget['payment']) > 0) { ?>
						<?php foreach ($widget['payment'] as $payment) { ?>
						<div class="form-group" id="payment_group<?php echo $payment_count; ?>">
							<label class="col-sm-3 control-label" style="padding-top:0"><img style="margin-top: auto;margin-bottom: auto;height: 32px" src="<?php echo $image_path; ?><?php echo $payment['img']; ?>" alt="<?php echo $payment['img']; ?>" /></label>
							<input type="hidden" name="widget[payment][<?php echo $payment_count; ?>][img]" value="<?php echo $payment['img']; ?>" />
							<div class="col-sm-9">
								<div class="input-group">
									<span class="input-group-addon">Title</span>
									<input class="form-control" type="text" name="widget[payment][<?php echo $payment_count; ?>][alt]" value="<?php echo $payment['alt']; ?>" class="form-control" />	
									<span class="input-group-btn"><button onclick="$('#payment_group<?php echo $payment_count; ?>').remove();" class="btn btn-danger" type="button"> <i class="fa fa-minus-circle"></i> </button></span>
								</div>
							</div>
						</div>
						<?php $payment_count++; ?>
						<?php } ?>
						<?php } ?>
						<input type="hidden" id="payment_image_group" />
						<form id="thumb-input-form">
							<input type="hidden" name="input_image" value="" id="input-image" />													
						</form>
						<div class="form-group">
							<div class="col-sm-12">
								<div class="pull-right">
									<button id="btn_add_image" style="width: 120px;" class="btn btn-success" type="button" data-toggle="tooltip" data-original-title="<?php echo $button_add; ?>">  <i class="fa fa-pencil"></i> <?php echo $button_add; ?></button>
									<button type="submit" style="width: 120px;" form="form-widget-payment" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i> <?php echo $button_save; ?></button>
									<button type="button" style="width: 120px;" onclick="$(location).attr('href', '<?php echo $cancel; ?>');" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i> <?php echo $button_cancel; ?></button>
								</div>
							</div>
						</div>
					</div>
				</form>
				<script>
					var payment_count = <?php echo $payment_count; ?>;
					var img_path = '<?php echo $image_path; ?>';
					var $img_dir = '<?php echo $image_dir; ?>';
					function addPayment($s){
						var html;
						html = '<div class="form-group" id="payment_group' + payment_count + '">';
						html += '<label class="col-sm-3 control-label" style="padding-top:0"><img style="margin-top: auto;margin-bottom: auto;height: 32px" src="' + img_path + $s + '" alt="' + $s + '" title="' + $s + '" /></label>';
						html += '<input type="hidden" name="widget[payment][' + payment_count + '][img]" value="' + $s + '" />';
						html += '<div class="col-sm-9">';
						html += '<div class="input-group">';
						html += '<span class="input-group-addon">Title</span>';
						html += '<input class="form-control" type="text" name="widget[payment][' + payment_count + '][alt]" value="" />';
						html += '<span class="input-group-btn"><button onclick="$(\'#payment_group' + payment_count + '\').remove();" class="btn btn-danger" type="button"> <i class="fa fa-minus-circle"></i> </button></span>';
						html += '</div>';
						html += '</div>';
						html += '</div>';
						payment_count ++ ;
						$('#payment_image_group').before(html);
					};
					$('#btn_add_image').on('click', function() {
						var $element = $(this);
						var $popover = $element.data('bs.popover'); // element has bs popover?
						var $button = $(this);
						$('#modal-image').remove();
						$.ajax({
							url: 'index.php?route=extension/module/magic_footer/file_manager&token=' + getURLVar('token') + '&target=' + $element.parent().find('input').attr('id') + '&thumb=' + $element.attr('id'),
							dataType: 'html',
							beforeSend: function() {
								$button.prop('disabled', true);
							},
							complete: function() {
								$button.prop('disabled', false);
							},
							success: function(html) {
								$('body').append('<div id="modal-image" class="modal">' + html + '</div>');
								$('#modal-image').modal('show').on("hidden.bs.modal", function(e) {
									if ($('#input-image').val().length) {
										var $img = $('#input-image').val();
										$img = $img.replace($img_dir, '');
										addPayment($img);
									}
									$('#input-image').val('');
								});
							}
						});
						$element.popover('destroy');
					});
				</script>
				<?php } elseif ($widget_type == '8') { ?>
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-widget-payment">
					<input type="hidden" name="widget[type]" value="8" />
					<div class="form-horizontal">
						<div class="form-group required">
							<label class="col-sm-2 control-label" for="input-widget-name"><?php echo $entry_widget_name; ?></label>
							<div class="col-sm-10">
								<input type="text" name="widget[name]" value="<?php if(isset($widget['name'])) echo $widget['name'];?>" placeholder="<?php echo $entry_widget_name; ?>" id="input-widget-name" class="form-control" />
								<?php if (isset($error_form_name)) { ?>
								<div class="text-danger"><?php echo $error_form_name; ?></div>
								<?php } ?>
							</div>
						</div>
						<ul class="nav nav-tabs" id="language">
						<?php foreach ( $languages as $language ) { ?>
						<li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
						<?php } ?>
						</ul>
						<div class="tab-content">
							<?php foreach ( $languages as $language ) { ?>
							<div class="tab-pane" id="language<?php echo $language['language_id']; ?>">
								<div class="form-horizontal">
									<div class="form-group">
										<label class="col-sm-2 control-label" for="input-widget-title<?php echo $language['language_id']; ?>"><?php echo $entry_widget_title; ?></label>
										<div class="col-sm-8">
											<input type="text" name="widget[title][<?php echo $language['language_id']; ?>][text]" value="<?php if (isset($widget['title'][$language['language_id']]['text'])) echo $widget['title'][$language['language_id']]['text'];?>" id="input-widget-title<?php echo $language['language_id']; ?>" class="form-control" />
										</div>
										<div class="col-sm-2">
											<div class="checkbox"><label><input type="checkbox" value="1" name="widget[title][<?php echo $language['language_id']; ?>][title_status]" <?php if (isset($widget['title'][$language['language_id']]['title_status']) && $widget['title'][$language['language_id']]['title_status'] == 1) { ?> checked="checked" <?php } ?>> <?php echo $text_show; ?></label></div>
										</div>
									</div>
									<div class="form-group" id="payment_image_group">
										<label class="col-sm-2 control-label"></label>
										<div class="col-sm-10">
											<textarea rows="6" class="form-control" name="widget[data][<?php echo $language['language_id']; ?>]"><?php if(isset($widget['data'][$language['language_id']])) echo $widget['data'][$language['language_id']];?></textarea>
										</div>
									</div>
								</div>
							</div>
							<?php } ?>
						</div>
						<div class="form-group">
							<div class="col-sm-12">
								<div class="pull-right">
									<button type="submit" style="width: 120px;" form="form-widget-payment" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i>    <?php echo $button_save; ?></button>
									<button type="button" style="width: 120px;" onclick="$(location).attr('href', '<?php echo $cancel; ?>');" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i>    <?php echo $button_cancel; ?></button>
								</div>
							</div>
						</div>
					</div>
				</form>
				<script>
					$('#language a:first').tab('show');
				</script>
				<?php } ?>
			</div>
		</div>
	</div>
</div>
<?php echo $footer; ?>